curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1/meeting" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"event_id": "event-uuid-1",
"meeting_url": "https://meet.example.com/abc-123",
"meeting_id": "meeting-id-abc"
}
}
Events
Create Event Meeting Link
Generate a video meeting link for an event
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
/
{event_id}
/
meeting
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1/meeting" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"event_id": "event-uuid-1",
"meeting_url": "https://meet.example.com/abc-123",
"meeting_id": "meeting-id-abc"
}
}
Create Event Meeting Link
Generate a video meeting link for an event. The link is created via the calendar’s connected provider integration and attached to the event asmeeting_url.
Endpoint
POST /api/v1/calendars/{calendar_id}/events/{event_id}/meeting
Path parameters
string
required
Calendar UUID.
string
required
Event UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1/meeting" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": {
"event_id": "event-uuid-1",
"meeting_url": "https://meet.example.com/abc-123",
"meeting_id": "meeting-id-abc"
}
}
Error responses
422 — No Provider Connection
{
"success": false,
"message": "Calendar has no connected provider that supports meeting links",
"code": "MEETING_PROVIDER_REQUIRED"
}
Was this page helpful?